<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_191) on Sat Oct 26 09:23:33 CEST 2019 -->
<title>S-Index</title>
<meta name="date" content="2019-10-26">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="S-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-15.html">Prev Letter</a></li>
<li><a href="index-17.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-16.html" target="_top">Frames</a></li>
<li><a href="index-16.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">R</a>&nbsp;<a href="index-16.html">S</a>&nbsp;<a href="index-17.html">T</a>&nbsp;<a href="index-18.html">U</a>&nbsp;<a href="index-19.html">V</a>&nbsp;<a href="index-20.html">X</a>&nbsp;<a name="I:S">
<!--   -->
</a>
<h2 class="title">S</h2>
<dl>
<dt><a href="../refinement/handlers/SaveHandler.html" title="class in refinement.handlers"><span class="typeNameLink">SaveHandler</span></a> - Class in <a href="../refinement/handlers/package-summary.html">refinement.handlers</a></dt>
<dd>
<div class="block">Handler that saves architectural changes to a refinement file.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/handlers/SaveHandler.html#SaveHandler--">SaveHandler()</a></span> - Constructor for class refinement.handlers.<a href="../refinement/handlers/SaveHandler.html" title="class in refinement.handlers">SaveHandler</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/impl/RefinementsImpl.html#saveRefinements-java.lang.String-">saveRefinements(String)</a></span> - Method in class refinement.model.refinements.impl.<a href="../refinement/model/refinements/impl/RefinementsImpl.html" title="class in refinement.model.refinements.impl">RefinementsImpl</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/Refinements.html#saveRefinements-java.lang.String-">saveRefinements(String)</a></span> - Method in interface refinement.model.refinements.<a href="../refinement/model/refinements/Refinements.html" title="interface in refinement.model.refinements">Refinements</a></dt>
<dd>
<div class="block">Save this refinement to savePath.</div>
</dd>
<dt><span class="memberNameLink"><a href="../utils/Utils.html#saveRepository-org.eclipse.core.resources.IFile-org.palladiosimulator.pcm.repository.Repository-">saveRepository(IFile, Repository)</a></span> - Static method in class utils.<a href="../utils/Utils.html" title="class in utils">Utils</a></dt>
<dd>
<div class="block">Save repository as IFile.</div>
</dd>
<dt><span class="memberNameLink"><a href="../utils/Utils.html#saveResource-org.eclipse.emf.ecore.resource.Resource-">saveResource(Resource)</a></span> - Static method in class utils.<a href="../utils/Utils.html" title="class in utils">Utils</a></dt>
<dd>
<div class="block">Save given Resource.</div>
</dd>
<dt><span class="memberNameLink"><a href="../utils/LoggingUtils.html#saveSuccess-org.eclipse.core.commands.ExecutionEvent-org.eclipse.emf.common.util.EList-">saveSuccess(ExecutionEvent, EList&lt;String&gt;)</a></span> - Static method in class utils.<a href="../utils/LoggingUtils.html" title="class in utils">LoggingUtils</a></dt>
<dd>
<div class="block">Success message for SaveHandler.</div>
</dd>
<dt><span class="memberNameLink"><a href="../utils/XMLUtils.html#saveXMLDocument-org.w3c.dom.Document-java.lang.String-">saveXMLDocument(Document, String)</a></span> - Static method in class utils.<a href="../utils/XMLUtils.html" title="class in utils">XMLUtils</a></dt>
<dd>
<div class="block">Save XML tree at filePath.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/presentation/RefinementsActionBarContributor.html#selectionChanged-org.eclipse.jface.viewers.SelectionChangedEvent-">selectionChanged(SelectionChangedEvent)</a></span> - Method in class refinement.model.refinements.presentation.<a href="../refinement/model/refinements/presentation/RefinementsActionBarContributor.html" title="class in refinement.model.refinements.presentation">RefinementsActionBarContributor</a></dt>
<dd>
<div class="block">This implements <code>ISelectionChangedListener</code>,
 handling <code>SelectionChangedEvent</code>s by querying for the children and siblings
 that can be added to the selected object and updating the menus accordingly.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/presentation/RefinementsActionBarContributor.html#setActiveEditor-org.eclipse.ui.IEditorPart-">setActiveEditor(IEditorPart)</a></span> - Method in class refinement.model.refinements.presentation.<a href="../refinement/model/refinements/presentation/RefinementsActionBarContributor.html" title="class in refinement.model.refinements.presentation">RefinementsActionBarContributor</a></dt>
<dd>
<div class="block">When the active editor changes, this remembers the change and registers with it as a selection provider.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/presentation/RefinementsEditor.html#setCurrentViewer-org.eclipse.jface.viewers.Viewer-">setCurrentViewer(Viewer)</a></span> - Method in class refinement.model.refinements.presentation.<a href="../refinement/model/refinements/presentation/RefinementsEditor.html" title="class in refinement.model.refinements.presentation">RefinementsEditor</a></dt>
<dd>
<div class="block">This makes sure that one content viewer, either for the current page or the outline view, if it has focus,
 is the current one.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/presentation/RefinementsEditor.html#setCurrentViewerPane-org.eclipse.emf.common.ui.ViewerPane-">setCurrentViewerPane(ViewerPane)</a></span> - Method in class refinement.model.refinements.presentation.<a href="../refinement/model/refinements/presentation/RefinementsEditor.html" title="class in refinement.model.refinements.presentation">RefinementsEditor</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/ComposedRefinements.html#setDate-java.util.Date-">setDate(Date)</a></span> - Method in interface refinement.model.refinements.<a href="../refinement/model/refinements/ComposedRefinements.html" title="interface in refinement.model.refinements">ComposedRefinements</a></dt>
<dd>
<div class="block">Sets the value of the '<a href="../refinement/model/refinements/ComposedRefinements.html#getDate--"><code><em>Date</em></code></a>' attribute.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/impl/ComposedRefinementsImpl.html#setDate-java.util.Date-">setDate(Date)</a></span> - Method in class refinement.model.refinements.impl.<a href="../refinement/model/refinements/impl/ComposedRefinementsImpl.html" title="class in refinement.model.refinements.impl">ComposedRefinementsImpl</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/impl/RefinementImpl.html#setDate-java.util.Date-">setDate(Date)</a></span> - Method in class refinement.model.refinements.impl.<a href="../refinement/model/refinements/impl/RefinementImpl.html" title="class in refinement.model.refinements.impl">RefinementImpl</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/Refinement.html#setDate-java.util.Date-">setDate(Date)</a></span> - Method in interface refinement.model.refinements.<a href="../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements">Refinement</a></dt>
<dd>
<div class="block">Sets the value of the '<a href="../refinement/model/refinements/Refinement.html#getDate--"><code><em>Date</em></code></a>' attribute.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/ComposedRefinements.html#setDescription-java.lang.String-">setDescription(String)</a></span> - Method in interface refinement.model.refinements.<a href="../refinement/model/refinements/ComposedRefinements.html" title="interface in refinement.model.refinements">ComposedRefinements</a></dt>
<dd>
<div class="block">Sets the value of the '<a href="../refinement/model/refinements/ComposedRefinements.html#getDescription--"><code><em>Description</em></code></a>' attribute.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/impl/ComposedRefinementsImpl.html#setDescription-java.lang.String-">setDescription(String)</a></span> - Method in class refinement.model.refinements.impl.<a href="../refinement/model/refinements/impl/ComposedRefinementsImpl.html" title="class in refinement.model.refinements.impl">ComposedRefinementsImpl</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/impl/RefinementImpl.html#setDifference-java.lang.String-">setDifference(String)</a></span> - Method in class refinement.model.refinements.impl.<a href="../refinement/model/refinements/impl/RefinementImpl.html" title="class in refinement.model.refinements.impl">RefinementImpl</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/Refinement.html#setDifference-java.lang.String-">setDifference(String)</a></span> - Method in interface refinement.model.refinements.<a href="../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements">Refinement</a></dt>
<dd>
<div class="block">Sets the value of the '<a href="../refinement/model/refinements/Refinement.html#getDifference--"><code><em>Difference</em></code></a>' attribute.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/presentation/RefinementsEditor.html#setFocus--">setFocus()</a></span> - Method in class refinement.model.refinements.presentation.<a href="../refinement/model/refinements/presentation/RefinementsEditor.html" title="class in refinement.model.refinements.presentation">RefinementsEditor</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/impl/RefinementsImpl.html#setId-java.lang.String-">setId(String)</a></span> - Method in class refinement.model.refinements.impl.<a href="../refinement/model/refinements/impl/RefinementsImpl.html" title="class in refinement.model.refinements.impl">RefinementsImpl</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/Refinements.html#setId-java.lang.String-">setId(String)</a></span> - Method in interface refinement.model.refinements.<a href="../refinement/model/refinements/Refinements.html" title="interface in refinement.model.refinements">Refinements</a></dt>
<dd>
<div class="block">Sets the value of the '<a href="../refinement/model/refinements/Refinements.html#getId--"><code><em>Id</em></code></a>' attribute.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/impl/RefinementImpl.html#setKind-java.lang.String-">setKind(String)</a></span> - Method in class refinement.model.refinements.impl.<a href="../refinement/model/refinements/impl/RefinementImpl.html" title="class in refinement.model.refinements.impl">RefinementImpl</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/Refinement.html#setKind-java.lang.String-">setKind(String)</a></span> - Method in interface refinement.model.refinements.<a href="../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements">Refinement</a></dt>
<dd>
<div class="block">Sets the value of the '<a href="../refinement/model/refinements/Refinement.html#getKind--"><code><em>Kind</em></code></a>' attribute.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/impl/RefinementImpl.html#setLinked-refinement.model.refinements.ComposedRefinements-">setLinked(ComposedRefinements)</a></span> - Method in class refinement.model.refinements.impl.<a href="../refinement/model/refinements/impl/RefinementImpl.html" title="class in refinement.model.refinements.impl">RefinementImpl</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/Refinement.html#setLinked-refinement.model.refinements.ComposedRefinements-">setLinked(ComposedRefinements)</a></span> - Method in interface refinement.model.refinements.<a href="../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements">Refinement</a></dt>
<dd>
<div class="block">Sets the value of the '<a href="../refinement/model/refinements/Refinement.html#getLinked--"><code><em>Linked</em></code></a>' reference.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/ComposedRefinements.html#setName-java.lang.String-">setName(String)</a></span> - Method in interface refinement.model.refinements.<a href="../refinement/model/refinements/ComposedRefinements.html" title="interface in refinement.model.refinements">ComposedRefinements</a></dt>
<dd>
<div class="block">Sets the value of the '<a href="../refinement/model/refinements/ComposedRefinements.html#getName--"><code><em>Name</em></code></a>' attribute.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/impl/ComposedRefinementsImpl.html#setName-java.lang.String-">setName(String)</a></span> - Method in class refinement.model.refinements.impl.<a href="../refinement/model/refinements/impl/ComposedRefinementsImpl.html" title="class in refinement.model.refinements.impl">ComposedRefinementsImpl</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/provider/RefinementsItemProviderAdapterFactory.html#setParentAdapterFactory-org.eclipse.emf.edit.provider.ComposedAdapterFactory-">setParentAdapterFactory(ComposedAdapterFactory)</a></span> - Method in class refinement.model.refinements.provider.<a href="../refinement/model/refinements/provider/RefinementsItemProviderAdapterFactory.html" title="class in refinement.model.refinements.provider">RefinementsItemProviderAdapterFactory</a></dt>
<dd>
<div class="block">This sets the composed adapter factory that contains this factory.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/impl/RefinementImpl.html#setReference-java.lang.String-">setReference(String)</a></span> - Method in class refinement.model.refinements.impl.<a href="../refinement/model/refinements/impl/RefinementImpl.html" title="class in refinement.model.refinements.impl">RefinementImpl</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/Refinement.html#setReference-java.lang.String-">setReference(String)</a></span> - Method in interface refinement.model.refinements.<a href="../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements">Refinement</a></dt>
<dd>
<div class="block">Sets the value of the '<a href="../refinement/model/refinements/Refinement.html#getReference--"><code><em>Reference</em></code></a>' attribute.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/impl/RefinementImpl.html#setRefinement-java.lang.String-java.lang.String-java.lang.String-java.lang.String-java.lang.String-">setRefinement(String, String, String, String, String)</a></span> - Method in class refinement.model.refinements.impl.<a href="../refinement/model/refinements/impl/RefinementImpl.html" title="class in refinement.model.refinements.impl">RefinementImpl</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/impl/RefinementsImpl.html#setRefinement-int-refinement.model.refinements.Refinement-">setRefinement(int, Refinement)</a></span> - Method in class refinement.model.refinements.impl.<a href="../refinement/model/refinements/impl/RefinementsImpl.html" title="class in refinement.model.refinements.impl">RefinementsImpl</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/Refinement.html#setRefinement-java.lang.String-java.lang.String-java.lang.String-java.lang.String-java.lang.String-">setRefinement(String, String, String, String, String)</a></span> - Method in interface refinement.model.refinements.<a href="../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements">Refinement</a></dt>
<dd>
<div class="block">Set value, reference, difference and kind to this refinement.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/Refinements.html#setRefinement-int-refinement.model.refinements.Refinement-">setRefinement(int, Refinement)</a></span> - Method in interface refinement.model.refinements.<a href="../refinement/model/refinements/Refinements.html" title="interface in refinement.model.refinements">Refinements</a></dt>
<dd>
<div class="block">Set given refinement to given index in refinements list.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/presentation/RefinementsEditor.html#setSelection-org.eclipse.jface.viewers.ISelection-">setSelection(ISelection)</a></span> - Method in class refinement.model.refinements.presentation.<a href="../refinement/model/refinements/presentation/RefinementsEditor.html" title="class in refinement.model.refinements.presentation">RefinementsEditor</a></dt>
<dd>
<div class="block">This implements <code>ISelectionProvider</code> to set this editor's overall selection.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/presentation/RefinementsEditor.html#setSelectionToViewer-java.util.Collection-">setSelectionToViewer(Collection&lt;?&gt;)</a></span> - Method in class refinement.model.refinements.presentation.<a href="../refinement/model/refinements/presentation/RefinementsEditor.html" title="class in refinement.model.refinements.presentation">RefinementsEditor</a></dt>
<dd>
<div class="block">This sets the selection into whichever viewer is active.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/impl/RefinementImpl.html#setState-refinement.model.refinements.States-">setState(States)</a></span> - Method in class refinement.model.refinements.impl.<a href="../refinement/model/refinements/impl/RefinementImpl.html" title="class in refinement.model.refinements.impl">RefinementImpl</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/Refinement.html#setState-refinement.model.refinements.States-">setState(States)</a></span> - Method in interface refinement.model.refinements.<a href="../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements">Refinement</a></dt>
<dd>
<div class="block">Sets the value of the '<a href="../refinement/model/refinements/Refinement.html#getState--"><code><em>State</em></code></a>' attribute.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/presentation/RefinementsEditor.html#setStatusLineManager-org.eclipse.jface.viewers.ISelection-">setStatusLineManager(ISelection)</a></span> - Method in class refinement.model.refinements.presentation.<a href="../refinement/model/refinements/presentation/RefinementsEditor.html" title="class in refinement.model.refinements.presentation">RefinementsEditor</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/impl/RefinementImpl.html#setValue-java.lang.String-">setValue(String)</a></span> - Method in class refinement.model.refinements.impl.<a href="../refinement/model/refinements/impl/RefinementImpl.html" title="class in refinement.model.refinements.impl">RefinementImpl</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/Refinement.html#setValue-java.lang.String-">setValue(String)</a></span> - Method in interface refinement.model.refinements.<a href="../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements">Refinement</a></dt>
<dd>
<div class="block">Sets the value of the '<a href="../refinement/model/refinements/Refinement.html#getValue--"><code><em>Value</em></code></a>' attribute.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/presentation/RefinementsModelWizard.RefinementsModelWizardInitialObjectCreationPage.html#setVisible-boolean-">setVisible(boolean)</a></span> - Method in class refinement.model.refinements.presentation.<a href="../refinement/model/refinements/presentation/RefinementsModelWizard.RefinementsModelWizardInitialObjectCreationPage.html" title="class in refinement.model.refinements.presentation">RefinementsModelWizard.RefinementsModelWizardInitialObjectCreationPage</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../utils/LoggingUtils.html#showNotification-org.eclipse.core.commands.ExecutionEvent-java.lang.String-">showNotification(ExecutionEvent, String)</a></span> - Static method in class utils.<a href="../utils/LoggingUtils.html" title="class in utils">LoggingUtils</a></dt>
<dd>
<div class="block">Open pop up window that displays given message.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/RefinementsPackage.Literals.html#STATES">STATES</a></span> - Static variable in interface refinement.model.refinements.<a href="../refinement/model/refinements/RefinementsPackage.Literals.html" title="interface in refinement.model.refinements">RefinementsPackage.Literals</a></dt>
<dd>
<div class="block">The meta object literal for the '<a href="../refinement/model/refinements/States.html" title="enum in refinement.model.refinements"><code><em>States</em></code></a>' enum.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/RefinementsPackage.html#STATES">STATES</a></span> - Static variable in interface refinement.model.refinements.<a href="../refinement/model/refinements/RefinementsPackage.html" title="interface in refinement.model.refinements">RefinementsPackage</a></dt>
<dd>
<div class="block">The meta object id for the '<a href="../refinement/model/refinements/States.html" title="enum in refinement.model.refinements"><code><em>States</em></code></a>' enum.</div>
</dd>
<dt><a href="../refinement/model/refinements/States.html" title="enum in refinement.model.refinements"><span class="typeNameLink">States</span></a> - Enum in <a href="../refinement/model/refinements/package-summary.html">refinement.model.refinements</a></dt>
<dd>
<div class="block">A representation of the literals of the enumeration '<em><b>States</b></em>',
 and utility methods for working with them.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/tests/RefinementsAllTests.html#suite--">suite()</a></span> - Static method in class refinement.model.refinements.tests.<a href="../refinement/model/refinements/tests/RefinementsAllTests.html" title="class in refinement.model.refinements.tests">RefinementsAllTests</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/tests/RefinementsTests.html#suite--">suite()</a></span> - Static method in class refinement.model.refinements.tests.<a href="../refinement/model/refinements/tests/RefinementsTests.html" title="class in refinement.model.refinements.tests">RefinementsTests</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">R</a>&nbsp;<a href="index-16.html">S</a>&nbsp;<a href="index-17.html">T</a>&nbsp;<a href="index-18.html">U</a>&nbsp;<a href="index-19.html">V</a>&nbsp;<a href="index-20.html">X</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-15.html">Prev Letter</a></li>
<li><a href="index-17.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-16.html" target="_top">Frames</a></li>
<li><a href="index-16.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
